%global commit 30275a07dab7891b9f31ff115743f67d757c7c1a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           fros
Version:        1.1
Release:        19
Summary:        Universal screencasting frontend with pluggable support for various backends
License:        GPLv2+
URL:            https://github.com/mozeq/fros
# this url is wrong, because github doesn't offer a space for downloadable archives
Source:         https://github.com/mozeq/fros/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

Patch0002:      0002-Specify-prototypes-for-used-X11-C-functions.patch
Patch0004:      0004-Switch-to-XDG_CURRENT_DESKTOP.patch
Patch0005:      0005-Ensure-that-the-right-version-of-Gtk-gets-loaded.patch
Patch0006:      0006-Delay-initialization-of-GNOME-Screencast-D-Bus-proxy.patch
Patch0007:      0007-Add-a-sanity-check-to-recordmydestkop-plugin.patch

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools
Requires:       python3-gobject

Provides:       %{name}-recordmydesktop %{name}-gnome
Obsoletes:      %{name}-recordmydesktop %{name}-gnome

%description
Universal screencasting frontend with pluggable support for various backends.
The goal is to provide an unified access to as many screencasting backends as
possible while still keeping the same user interface so the user experience
while across various desktops and screencasting programs is seamless.

%package_help

%prep
%autosetup -n %{name}-%{commit} -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python3} setup.py test


%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/fros
%{python3_sitelib}/pyfros/*.py*
%{python3_sitelib}/pyfros/__pycache__/*.cpython-%{python3_version_nodots}.*py*
%{python3_sitelib}/pyfros/plugins/*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/*

%files help
%defattr(-,root,root)
%doc README
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 1.1-19
- rebuild for next release

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1-18
- Package init

